aboutsummaryrefslogtreecommitdiff
path: root/auria.sh
diff options
context:
space:
mode:
Diffstat (limited to 'auria.sh')
-rwxr-xr-xauria.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/auria.sh b/auria.sh
index 094ed5b..1d29877 100755
--- a/auria.sh
+++ b/auria.sh
@@ -85,6 +85,8 @@ test -n "$EDITOR" && editor="$EDITOR"
test -f "$global_conffile" && . "$global_conffile"
test -f "$local_conffile" && . "$local_conffile"
+shopt -s expand_aliases
+
alias parse=./parse
typeset -a curl_args=(
@@ -242,7 +244,12 @@ function install_full
ask y "Continue" || return 0
fi
- makepkg "${makepkg_options[@]}" -si || return 2
+ if [[ "${aur_itype[$pkg]}" == dep ]]
+ then
+ makepkg "${makepkg_options[@]}" -si --asdeps || return 2
+ else
+ makepkg "${makepkg_options[@]}" -si || return 2
+ fi
done
}
@@ -855,4 +862,4 @@ function match
printf "%s\n" "${@:2}" | grep -q "^${1}$"
}
-#main "$@"
+main "$@"